/**
   A graphics example.

   A JFrame with a JPanel with a drawing (that still doesn't refresh).
*/
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.awt.Graphics;
import java.awt.Color;

public class GraphicsExperiment2
{
   public static void main( String[] args )
   {
      JFrame f = new JFrame();
      f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      f.setTitle("JFrame with a JPanel with a drawing.");
      f.setSize(600, 600);
      f.setLocationRelativeTo(null);
      f.setVisible(true);

      JPanel panel = new JPanel();
      f.add(panel);

      // allow time for the graphics context to be created
      try{Thread.sleep(50);}catch(InterruptedException e){}

      Graphics g = panel.getGraphics();
      g.setColor(Color.red);
      g.fillRect(20, 40, 70, 30);
      g.setColor(Color.blue);
      g.fillRect(60, 10, 20, 80);
      g.setColor(Color.green);
      g.fillRect(300, 300, 100, 100);
      g.setColor(Color.black);
      g.drawLine(0,0, 300,300);
   }
}
