import javax.swing.*
import java.awt.*

@SuppressWarnings("serial")
class GraphicsPanel extends JPanel
{
   @Override
   public void paintComponent(Graphics g)
   {
      super.paintComponent(g);  // call JPanel's version
      g.setColor(Color.red);
      g.fillRect(20, 40, 70, 30);
      g.setColor(Color.blue);
      g.fillRect(60, 10, 20, 80);
      g.setColor(Color.green);
      g.fillRect(300, 300, 100, 100);
      g.setColor(Color.black);
      g.drawLine(0,0, 300,300);
   }
}

JFrame f = new JFrame()
f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE)
f.setTitle("JFrame with a graphics panel.")
f.setSize(600, 600)
JPanel panel = new GraphicsPanel()
f.add(panel)
f.setLocationRelativeTo(null)
f.setVisible(true)

Graphics g = panel.getGraphics()
