/**
   Compile and run this program.
   Then compare that to executing this code,
   line by line, in a Java REPL.
*/
import javax.swing.JFrame;
import javax.swing.JButton;
import java.awt.FlowLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public class GUIExperiment1
{
   public static void main( String[] args )
   {
      JFrame f = new JFrame();
      f.setVisible(true);
      f.setSize(100, 100);
      f.setVisible(false);
      f.setSize(50, 800);
      f.setVisible(true);
      f.setSize(300, 300);
      f.setTitle("A JFrame.");

      //f.setLayout(new FlowLayout());

      JButton b = new JButton("Hi");
      // Send a message to the JFrame object that it
      // should add the JButton object to its display.
      f.add(b);
      // This is how we can make the button do something.
      b.addActionListener(new ActionListener(){public void actionPerformed(ActionEvent e){System.out.println("Ouch.");}});
      // This is how we can make the mouse do something.
      b.addMouseListener(new MouseAdapter(){public void mouseEntered(MouseEvent e){System.out.println("Ouch Ouch.");}});
   }
}


/*
Here are lines that you can type, or copy, one at a time into a Java REPL.

import javax.swing.*
import java.awt.event.*
JFrame f = new JFrame()
f.setVisible(true)
f.setSize(100, 100)
f.setVisible(false)
f.setSize(50, 800)
f.setVisible(true)
f.setSize(300, 300)
f.setTitle("A JFrame.")

f.addMouseListener(new MouseAdapter(){public void mouseEntered(MouseEvent e){System.out.println("Ouch Ouch.");}});

JButton b = new JButton("Hi")
f.add(b)
b.addActionListener(new ActionListener(){public void actionPerformed(ActionEvent e){System.out.println("Ouch.");}})
b.addMouseListener(new MouseAdapter(){public void mouseEntered(MouseEvent e){System.out.println("Ouch Ouch.");}});

import java.awt.*;
f.setLayout(new FlowLayout())
b = new JButton("Hello")
f.add(b)
b = new JButton("Bye")
b.addActionListener(new ActionListener(){public void actionPerformed(ActionEvent e){System.out.println("Bye.");}})
b.addMouseListener(new MouseAdapter(){public void mouseEntered(MouseEvent e){System.out.println("Ouch, Ouch, Ouch.");}});
f.add(b)

f.setLayout(new GridLayout(2,2));
*/
