/*
   Build a GUI using a layout manager.
*/
import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import java.awt.Container;
import java.awt.BorderLayout;

public class GUIexperiment3
{
   public static void main( String[] args )
   {
      JFrame jf = new JFrame("JFrame with a layout manager.");
      jf.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      JButton jb1 = new JButton("Hello 1");
      JButton jb2 = new JButton("Hello 2");
      // Send a message to the JFrame object that it
      // should add the JButton objects to its "content pane".
      jf.add(jb1, BorderLayout.SOUTH);
      jf.add(jb2, BorderLayout.NORTH);
      // Create JLabel objects.
      JLabel jL1 = new JLabel("Label 1");
      JLabel jL2 = new JLabel("Label 2");
      // Add the JLabel objects to the content pane.
      jf.add(jL1, BorderLayout.EAST);
      jf.add(jL2, BorderLayout.WEST);

      JPanel jp = new JPanel();          // uses FlowLayout by default
    //jp.setLayout(new BorderLayout());  // convert to BorderLayout
      JButton jb3 = new JButton("Hello 3");
      JButton jb4 = new JButton("Hello 4");
      JLabel jL3 = new JLabel("Label 3");
      JLabel jL4 = new JLabel("Label 4");
      jp.add(jb3, BorderLayout.SOUTH); // Try changing the order in which the
      jp.add(jb4, BorderLayout.NORTH); // components are added to the container.
      jp.add(jL3, BorderLayout.EAST);
      jp.add(jL4, BorderLayout.WEST);
      jp.add(new JButton("why"), BorderLayout.CENTER);
      jf.add(jp, BorderLayout.CENTER);

      jf.setSize(600, 600);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);
   }
}
